Package com.google.protobuf

# Class DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder>
com.google.protobuf.GeneratedMessage.Builder<DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder>
com.google.protobuf.DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder

All Implemented Interfaces:
  `DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefaultOrBuilder`, `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Cloneable`

Enclosing class:
  `DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault`

public static final class DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder extends GeneratedMessage.Builder<DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder> implements DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefaultOrBuilder
Protobuf type `google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault`

## Method Summary

Modifier and Type
Method
Description
`DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault`
`build()`
Constructs the message based on the state of the Builder.
`DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder`
`clearEdition()`
`optional .google.protobuf.Edition edition = 3 [json_name = "edition"];`
`DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder`
`clearFixedFeatures()`
`optional .google.protobuf.FeatureSet fixed_features = 5 [json_name = "fixedFeatures"];`
`DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder`
`clearOverridableFeatures()`
`optional .google.protobuf.FeatureSet overridable_features = 4 [json_name = "overridableFeatures"];`
`DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`DescriptorProtos.Edition`
`getEdition()`
`optional .google.protobuf.Edition edition = 3 [json_name = "edition"];`
`DescriptorProtos.FeatureSet`
`getFixedFeatures()`
`optional .google.protobuf.FeatureSet fixed_features = 5 [json_name = "fixedFeatures"];`
`DescriptorProtos.FeatureSet.Builder`
`getFixedFeaturesBuilder()`
`optional .google.protobuf.FeatureSet fixed_features = 5 [json_name = "fixedFeatures"];`
`DescriptorProtos.FeatureSetOrBuilder`
`getFixedFeaturesOrBuilder()`
`optional .google.protobuf.FeatureSet fixed_features = 5 [json_name = "fixedFeatures"];`
`DescriptorProtos.FeatureSet`
`getOverridableFeatures()`
`optional .google.protobuf.FeatureSet overridable_features = 4 [json_name = "overridableFeatures"];`
`DescriptorProtos.FeatureSet.Builder`
`getOverridableFeaturesBuilder()`
`optional .google.protobuf.FeatureSet overridable_features = 4 [json_name = "overridableFeatures"];`
`DescriptorProtos.FeatureSetOrBuilder`
`getOverridableFeaturesOrBuilder()`
`optional .google.protobuf.FeatureSet overridable_features = 4 [json_name = "overridableFeatures"];`
`boolean`
`hasEdition()`
`optional .google.protobuf.Edition edition = 3 [json_name = "edition"];`
`boolean`
`hasFixedFeatures()`
`optional .google.protobuf.FeatureSet fixed_features = 5 [json_name = "fixedFeatures"];`
`boolean`
`hasOverridableFeatures()`
`optional .google.protobuf.FeatureSet overridable_features = 4 [json_name = "overridableFeatures"];`
`protected GeneratedMessage.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder`
`mergeFixedFeatures(DescriptorProtos.FeatureSet value)`
`optional .google.protobuf.FeatureSet fixed_features = 5 [json_name = "fixedFeatures"];`
`DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder`
`mergeFrom(DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault other)`
`DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder`
`mergeOverridableFeatures(DescriptorProtos.FeatureSet value)`
`optional .google.protobuf.FeatureSet overridable_features = 4 [json_name = "overridableFeatures"];`
`DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder`
`setEdition(DescriptorProtos.Edition value)`
`optional .google.protobuf.Edition edition = 3 [json_name = "edition"];`
`DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder`
`setFixedFeatures(DescriptorProtos.FeatureSet value)`
`optional .google.protobuf.FeatureSet fixed_features = 5 [json_name = "fixedFeatures"];`
`DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder`
`setFixedFeatures(DescriptorProtos.FeatureSet.Builder builderForValue)`
`optional .google.protobuf.FeatureSet fixed_features = 5 [json_name = "fixedFeatures"];`
`DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder`
`setOverridableFeatures(DescriptorProtos.FeatureSet value)`
`optional .google.protobuf.FeatureSet overridable_features = 4 [json_name = "overridableFeatures"];`
`DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder`
`setOverridableFeatures(DescriptorProtos.FeatureSet.Builder builderForValue)`
`optional .google.protobuf.FeatureSet overridable_features = 4 [json_name = "overridableFeatures"];`

### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessage.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessage.Builder<DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder>`

### clear

public DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder clear()
Description copied from class: `GeneratedMessage.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessage.Builder<DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessage.Builder<DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder>`

### getDefaultInstanceForType

public DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder>`

### mergeFrom

public DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder mergeFrom(DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessage.Builder<DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder>`

### mergeFrom

public DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder>`
Throws:
  `IOException` - an I/O error reading from the stream

### hasEdition

public boolean hasEdition()
`optional .google.protobuf.Edition edition = 3 [json_name = "edition"];`

Specified by:
  `hasEdition` in interface `DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefaultOrBuilder`
Returns:
  Whether the edition field is set.

### getEdition

public DescriptorProtos.Edition getEdition()
`optional .google.protobuf.Edition edition = 3 [json_name = "edition"];`

Specified by:
  `getEdition` in interface `DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefaultOrBuilder`
Returns:
  The edition.

### setEdition

public DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder setEdition(DescriptorProtos.Edition value)
`optional .google.protobuf.Edition edition = 3 [json_name = "edition"];`

Parameters:
  `value` - The edition to set.
Returns:
  This builder for chaining.

### clearEdition

public DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder clearEdition()
`optional .google.protobuf.Edition edition = 3 [json_name = "edition"];`

Returns:
  This builder for chaining.

### hasOverridableFeatures

public boolean hasOverridableFeatures()
`optional .google.protobuf.FeatureSet overridable_features = 4 [json_name = "overridableFeatures"];`

Specified by:
  `hasOverridableFeatures` in interface `DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefaultOrBuilder`
Returns:
  Whether the overridableFeatures field is set.

### getOverridableFeatures

public DescriptorProtos.FeatureSet getOverridableFeatures()
`optional .google.protobuf.FeatureSet overridable_features = 4 [json_name = "overridableFeatures"];`

Specified by:
  `getOverridableFeatures` in interface `DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefaultOrBuilder`
Returns:
  The overridableFeatures.

### setOverridableFeatures

public DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder setOverridableFeatures(DescriptorProtos.FeatureSet value)
`optional .google.protobuf.FeatureSet overridable_features = 4 [json_name = "overridableFeatures"];`

### setOverridableFeatures

public DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder setOverridableFeatures(DescriptorProtos.FeatureSet.Builder builderForValue)
`optional .google.protobuf.FeatureSet overridable_features = 4 [json_name = "overridableFeatures"];`

### mergeOverridableFeatures

public DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder mergeOverridableFeatures(DescriptorProtos.FeatureSet value)
`optional .google.protobuf.FeatureSet overridable_features = 4 [json_name = "overridableFeatures"];`

### clearOverridableFeatures

public DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder clearOverridableFeatures()
`optional .google.protobuf.FeatureSet overridable_features = 4 [json_name = "overridableFeatures"];`

### getOverridableFeaturesBuilder

public DescriptorProtos.FeatureSet.Builder getOverridableFeaturesBuilder()
`optional .google.protobuf.FeatureSet overridable_features = 4 [json_name = "overridableFeatures"];`

### getOverridableFeaturesOrBuilder

public DescriptorProtos.FeatureSetOrBuilder getOverridableFeaturesOrBuilder()
`optional .google.protobuf.FeatureSet overridable_features = 4 [json_name = "overridableFeatures"];`

Specified by:
  `getOverridableFeaturesOrBuilder` in interface `DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefaultOrBuilder`

### hasFixedFeatures

public boolean hasFixedFeatures()
`optional .google.protobuf.FeatureSet fixed_features = 5 [json_name = "fixedFeatures"];`

Specified by:
  `hasFixedFeatures` in interface `DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefaultOrBuilder`
Returns:
  Whether the fixedFeatures field is set.

### getFixedFeatures

public DescriptorProtos.FeatureSet getFixedFeatures()
`optional .google.protobuf.FeatureSet fixed_features = 5 [json_name = "fixedFeatures"];`

Specified by:
  `getFixedFeatures` in interface `DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefaultOrBuilder`
Returns:
  The fixedFeatures.

### setFixedFeatures

public DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder setFixedFeatures(DescriptorProtos.FeatureSet value)
`optional .google.protobuf.FeatureSet fixed_features = 5 [json_name = "fixedFeatures"];`

### setFixedFeatures

public DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder setFixedFeatures(DescriptorProtos.FeatureSet.Builder builderForValue)
`optional .google.protobuf.FeatureSet fixed_features = 5 [json_name = "fixedFeatures"];`

### mergeFixedFeatures

public DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder mergeFixedFeatures(DescriptorProtos.FeatureSet value)
`optional .google.protobuf.FeatureSet fixed_features = 5 [json_name = "fixedFeatures"];`

### clearFixedFeatures

public DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder clearFixedFeatures()
`optional .google.protobuf.FeatureSet fixed_features = 5 [json_name = "fixedFeatures"];`

### getFixedFeaturesBuilder

public DescriptorProtos.FeatureSet.Builder getFixedFeaturesBuilder()
`optional .google.protobuf.FeatureSet fixed_features = 5 [json_name = "fixedFeatures"];`

### getFixedFeaturesOrBuilder

public DescriptorProtos.FeatureSetOrBuilder getFixedFeaturesOrBuilder()
`optional .google.protobuf.FeatureSet fixed_features = 5 [json_name = "fixedFeatures"];`

Specified by:
  `getFixedFeaturesOrBuilder` in interface `DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefaultOrBuilder`